# Function circleChainIdToChain

- circleChainIdToChain<K1>(...args): ToExtPropKey<K1> extends 0 | 2 | 1 | 3 | 5 | 6
  ? ObjectFromMappingEntries<[[0, "Ethereum"], [1, "Avalanche"], [2, "Optimism"], [3, "Arbitrum"], [5, "Solana"], [6, "Base"]], 1>[Object] extends Mapped
  ? any[any]
  : ObjectFromMappingEntries<[[0, "Ethereum"], [1, "Avalanche"], [2, "Optimism"], [3, "Arbitrum"], [5, "Solana"], [6, "Base"]], 1>[Object]
  : never

- #### Type Parameters

  - #### K1 extends 0 | 2 | 1 | 3 | 5 | 6

  #### Parameters

  - ##### `Rest` ...args: [K1]

  #### Returns ToExtPropKey<K1> extends 0 | 2 | 1 | 3 | 5 | 6
  ? ObjectFromMappingEntries<[[0, "Ethereum"], [1, "Avalanche"], [2, "Optimism"], [3, "Arbitrum"], [5, "Solana"], [6, "Base"]], 1>[Object] extends Mapped
  ? any[any]
  : ObjectFromMappingEntries<[[0, "Ethereum"], [1, "Avalanche"], [2, "Optimism"], [3, "Arbitrum"], [5, "Solana"], [6, "Base"]], 1>[Object]
  : never

  - Defined in core/base/src/utils/mapping.ts:324

Generated using TypeDoc